### Struct

# Gegl BufferIterator

since: 0.4

#### Description

    struct GeglBufferIterator {
      gint length;
      GeglBufferIteratorPriv* priv;
      None items;
    }

No description available.

###### Structure members

`length`
  No description available.
`priv`
  No description available.
`items`
  No description available.

Available since: 0.4

#### Functions

###### gegl_buffer_iterator_empty_new

Create a new buffer iterator without adding any buffers.

since: 0.4

#### Instance methods

###### gegl_buffer_iterator_add

Adds an additional buffer iterator that will be processed in sync with the original one, if the buffer doesn’t align with the other for tile access the corresponding scans and regions will be serialized automatically using gegl_buffer_get.

since: 0.4

###### gegl_buffer_iterator_next

Do an iteration, this causes a new set of iterator->data[] to become available if there is more data to process. Changed data from a previous iteration step will also be saved now. When there is no more data to be processed FALSE will be returned (and the iterator handle is no longer valid).

since: 0.4

###### gegl_buffer_iterator_stop

Cancels the current iteration, freeing up any temporary resources. The iterator handle is no longer valid after invoking this function.

since: 0.4